//
// file: scripts/common.shader
// info: common shaders
// editor: sea[LD] <sea@reloadnet.com>
//
// (c) 2002-2003 liquid design (www.reloadnet.com)
//
textures/common/areaportal
{
	surfaceparm areaportal
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	qer_trans 0.5
}

// regular caulk shader
textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

// extra caulk shader in diff color
textures/common/caulk2_sea
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

// extra caulk shader in diff color
textures/common/caulk3_sea
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

// extra caulk shader in diff color
textures/common/caulk4_sea
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

// extra caulk shader in diff color
textures/common/caulk5_sea
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

// extra caulk shader in diff color
textures/common/caulk6_sea
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

// extra caulk shader in diff color
textures/common/caulk7_sea
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

// extra caulk shader in diff color
textures/common/caulk8_sea
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

// qer translucent caulk shader
textures/common/trans_caulk
{
	qer_trans 0.45
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

// extra translucent caulk shader in diff color
textures/common/trans_caulk2
{
	qer_trans 0.45
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

// extra translucent caulk shader in diff color
textures/common/trans_caulk3
{
	qer_trans 0.45
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

// extra translucent caulk shader in diff color
textures/common/trans_caulk4
{
	qer_trans 0.45
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

// extra translucent caulk shader in diff color
textures/common/trans_caulk5
{
	qer_trans 0.45
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

// extra translucent caulk shader in diff color
textures/common/trans_caulk6
{
	qer_trans 0.45
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

// extra translucent caulk shader in diff color
textures/common/trans_caulk7
{
	qer_trans 0.45
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

// extra translucent caulk shader in diff color
textures/common/trans_caulk8
{
	qer_trans 0.45
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	surfaceparm nodraw
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	qer_trans 0.4
}

// bot specific cluster portal
textures/common/clusterportal
{
	surfaceparm clusterportal
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.5
}

textures/common/cushion
{
	surfaceparm nodamage
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm trans
	qer_nocarve
	qer_trans 0.5
}

// bot specific 'do not enter' brush
textures/common/donotenter
{
	surfaceparm donotenter
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.5
}

textures/common/energypad
{
	qer_editorimage textures/common/bluegoal.tga
	surfaceparm nolightmap
	cull none
	{
		map textures/common/bluegoal.tga
		blendfunc gl_one gl_src_alpha
		tcMod turb 0 0.25 0 0.05
		tcGen environment 
	}
}

textures/common/full_clip
{
	surfaceparm nodraw
	surfaceparm playerclip
	qer_trans 0.4
}

textures/common/hint
{
	surfaceparm nodraw
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm hint
	qer_nocarve
	qer_trans 0.3
}

textures/common/invisible
{
	surfaceparm nolightmap
	{
		map textures/common/invisible.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
}

textures/common/mirror1
{
	qer_editorimage textures/common/mirror1.tga
	surfaceparm nolightmap
	portal
	{
		map textures/common/mirror1.tga
		blendfunc gl_one gl_one_minus_src_alpha
		depthWrite
	}
}

textures/common/mirror2
{
	qer_editorimage textures/common/qer_mirror.tga
	surfaceparm nolightmap
	portal
	{
		map textures/common/mirror1.tga
		blendfunc gl_one gl_one_minus_src_alpha
		depthWrite
	}
	{
		map textures/sfx/mirror.tga
		blendfunc gl_zero gl_one_minus_src_color
	}
}

textures/common/missileclip
{
	surfaceparm nodamage
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm playerclip
	qer_trans 0.4
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
}

textures/common/nodrawnonsolid
{
	surfaceparm nodraw
	surfaceparm nonsolid
}

textures/common/nodrop
{
	surfaceparm nodraw
	surfaceparm nodrop
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	qer_nocarve
	qer_trans 0.5
}

textures/common/noimpact
{
	surfaceparm noimpact
}

textures/common/nolightmap
{
}

textures/common/origin
{
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm origin
	qer_nocarve
}

textures/common/portal
{
	qer_editorimage textures/common/portal.tga
	surfaceparm nolightmap
	portal
	{
		map textures/common/mirror1.tga
		blendfunc gl_one gl_one_minus_src_alpha
		tcMod turb 0 0.25 0 0.05
		depthWrite
	}
}

textures/common/slick
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm slick
	surfaceparm trans
	qer_trans 0.5
}

textures/common/timportal
{
	qer_editorimage textures/common/qer_portal.tga
	surfaceparm nolightmap
	portal
	{
		map textures/common/portal.tga
		blendfunc gl_one gl_src_alpha
		tcMod turb 0 0.25 0 0.05
		depthWrite
	}
}

textures/common/trigger
{
	surfaceparm nodraw
	qer_nocarve
	qer_trans 0.5
}

textures/common/weapclip
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm trans
	qer_trans 0.4
}

textures/common/ladderclip
{
	surfaceparm nodraw
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
	surfaceparm ladder
	qer_trans 0.4
}

// secam radiant editor image only
textures/common/secam
{
	surfaceparm nodraw
	qer_nocarve
	qer_trans 0.5
}

textures/common/fogcaulk
{
	surfaceparm trans
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans 0.45
	q3map_noclip
}

textures/common/fog_black
{
	qer_trans 0.75
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm fog
	fogparms ( 0.0 0.0 0.0 ) 512
}

textures/common/foghull_black
{
	qer_trans 0.75
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm sky
	skyparms textures/common/hull 0 -
}

textures/common/glass_plain
{
	surfaceparm nolightmap
	surfaceparm trans
	qer_editorimage textures/common/glass_plain_qer.tga
	qer_trans 0.5
	{
		map textures/common/env_plain.tga
		blendfunc blend
		tcGen environment 
	}
}

textures/common/glass_cyan
{
	surfaceparm nolightmap
	surfaceparm trans
	qer_editorimage textures/common/glass_cyan_qer.tga
	qer_trans 0.5
	{
		map textures/common/env_cyan.tga
		blendfunc blend
		tcMod turb 0 0.01 0 0.01
		tcGen environment 
	}
}
